package javax.tools;

import javax.annotation.processing.Processor;
import java.util.concurrent.Callable;
import java.nio.charset.Charset;
import java.util.Locale;
import java.io.Writer;

public interface JavaCompiler extends Tool, OptionChecker
{
    public abstract JavaCompiler.CompilationTask getTask(Writer p0, JavaFileManager p1, DiagnosticListener<? super JavaFileObject> p2, Iterable<String> p3, Iterable<String> p4, Iterable<? extends JavaFileObject> p5);
    
    public abstract StandardJavaFileManager getStandardFileManager(DiagnosticListener<? super JavaFileObject> p0, Locale p1, Charset p2);
    
    public interface CompilationTask extends Callable<Boolean>
    {
        public abstract void setProcessors(Iterable<? extends Processor> p0);
        
        public abstract void setLocale(Locale p0);
        
        public abstract Boolean call();
    }
}
